JceKTSKeyTransAuthenticatedRecipient (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.jcajce

## Class JceKTSKeyTransAuthenticatedRecipient

- java.lang.Object
- - org.bouncycastle.cms.jcajce.JceKTSKeyTransRecipient
  - - org.bouncycastle.cms.jcajce.JceKTSKeyTransAuthenticatedRecipient

- All Implemented Interfaces:
    KeyTransRecipient, Recipient

      public class JceKTSKeyTransAuthenticatedRecipient
      extends JceKTSKeyTransRecipient

  the KeyTransRecipient class for a recipient who has been sent secret key material encrypted using their public key that needs to be used to derive a key and authenticate a message.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.jcajce.JceKTSKeyTransRecipient

      `contentHelper, extraMappings, helper, unwrappedKeyMustBeEncodable, validateKeySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceKTSKeyTransAuthenticatedRecipient(java.security.PrivateKey recipientKey, KeyTransRecipientId recipientId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecipientOperator` | `getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier contentMacAlgorithm, byte[] encryptedContentEncryptionKey)`

    - ### Methods inherited from class org.bouncycastle.cms.jcajce.JceKTSKeyTransRecipient

      `extractSecretKey, getPartyVInfoFromRID, setAlgorithmMapping, setContentProvider, setContentProvider, setKeySizeValidation, setProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceKTSKeyTransAuthenticatedRecipient

          public JceKTSKeyTransAuthenticatedRecipient(java.security.PrivateKey recipientKey,
                                              KeyTransRecipientId recipientId)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getRecipientOperator

          public RecipientOperator getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                               org.bouncycastle.asn1.x509.AlgorithmIdentifier contentMacAlgorithm,
                                               byte[] encryptedContentEncryptionKey)
                                                 throws CMSException

      Throws:
        `CMSException`